/*==============================================================================
* connectWifi
*
* Use in setup to connect to local Wifi network
*=============================================================================*/
void connectWifi() {

// Create MAC Address String in the format FF:FF:FF:FF:FF:FF
byte macData[WL_MAC_ADDR_LENGTH];
char macString[18];              // Used to store a formatted version of the MAC Address 
WiFi.macAddress(macData);
snprintf(macString, 18, "%02X%02X%02X%02X%02X%02X",
         macData[5], macData[4], macData[3], macData[2], macData[1], macData[0]);
           
// Print Some Useful Info
  if(ECHO){
    Serial.print(F("wifi: MAC Address: "));
    Serial.println(macString);
  }
  
WiFi.mode(WIFI_STA); // Need for deepSleep

// Connect to WiFi network
  if(ECHO){
    Serial.println();
    Serial.println();
    Serial.print("wifi: Connecting to ");
    Serial.println(ssid);
  }
  
  byte statusWF = WiFi.begin(ssid, password);
  
  if(ECHO) Serial.println(statusWF);
  
  byte ledStatus = LOW;
  int delays = 0;
  int delays2 = 0;
  while (WiFi.status() != WL_CONNECTED) {
    if(ECHO) Serial.print(".");
    delays++;
    if (delays > 30){
      delays2++;
      if(ECHO)Serial.println("");
      delays = 0;
      if(delays2 > 10){
            byte statusWF = WiFi.begin(ssid, password);
            
            if(ECHO){
              Serial.println(statusWF);
              Serial.print("wifi: Connecting to ");
              Serial.println(ssid);
            }
            
            delays2 = 0; 
      }
    }
    // Blink the LED
   
    digitalWrite(LED_PIN, ledStatus); // Write LED high/low
    ledStatus = (ledStatus == HIGH) ? LOW : HIGH;
    delay(100);
    
  }
  digitalWrite(LED_PIN, HIGH);
  
  if(ECHO){
    Serial.println("");
    Serial.println("wifi: connected");
    Serial.print("wifi: IP Address: ");
    Serial.println(WiFi.localIP());
  }
  delay(100);
  digitalWrite(LED_PIN, LOW);
}

